petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESMonitor

runs the user provided monitor routines, if they exist

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESMonitor(SNES snes,PetscInt iter,PetscReal rnorm)

Collective on SNES

### Input Parameters

| snes | - nonlinear solver context obtained from SNESCreate()
| iter | - iteration number
| rnorm | - relative norm of the residual

### Notes

This routine is called by the SNES implementations. It does not typically need to be called by the user.

### See Also

SNESMonitorSet()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages